#!/bin/ksh
cd "$(cd "$(dirname "$0")"; pwd)"
# -----------------------------------------------------------------------------------
# saveqmgrs.ksh
# 
# Iterates through connnections file, calling dmqmqcfg
# 
# -----------------------------------------------------------------------------------
# Fetch vars to construct log file name
_PROG=${0##*/} && _QMgr=${1} 
_DATE=`date "+%y%m%d-%H%M%S"`
_LOG=/var/mqm/log/$_PROG.$_DATE.out

# Execute a new shell with redirection of the log file
exec /bin/ksh -s > $_LOG 2>&1 <<EOFEXEC

export MQCERTLABL=ec2-user
export MQCHLLIB=/home/ec2-user
export MQSSLKEYR=/home/ec2-user/.ssh/key

print "
#-----------------------------------------------------------------
#      Begin saving queue manager configs at `date`
#-----------------------------------------------------------------
"
cat connections.txt | grep -v "^#" | cut -f 1 -d '/' | {
    while read MyQMGR;do
      echo Processing \$MyQMGR at `date`
      mkdir -p /var/mqm/cfg/\$MyQMGR/ > /dev/null 2>&1
      /opt/mqm/bin/dmpmqcfg -c default -m \$MyQMGR -a -o 2line > /var/mqm/cfg/\$MyQMGR/\$MyQMGR.$_DATE.mqsc 2>&1
    done
}
print "Save QMgrs processing complete at `date`\n
#-----------------------------------------------------------------
#                  E N D   O F   S C R I P T
#-----------------------------------------------------------------
"
EOFEXEC
